D4Science Infrastructure - Task #10940

Task # 10938 (Closed): Reconfigure geonetwork.geothermaldata.d4science.org

Move the geonetwork.geothermaldata services on a new VM
Jan 15, 2018 06:57 PM - Andrea Dell'Amico

Status: Closed Start date: Jan 15, 2018
Priority: Normal Due date:

Assignee: Andrea Dell'Amico % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: Upgrade to ubuntu 14.04

Infrastructure: Production

Description

There are many of them, | don't know if they are all needed:

GeoExplorerPortlet
GeoExplorerPortletNew
geonetwork

geoserver
geoserver_def
GisViewer
TestGisViewer

Related issues:
Blocked by D4Science Infrastructure - VM Creation #10939: Create a new VM to ... Closed Jan 15,2018

History

#1 - Jan 15, 2018 06:57 PM - Andrea Dell'Amico

- Blocked by VM Creation #10939: Create a new VM to host the geonetwork.geothermaldata.d4science.org services added

#2 - Jan 25, 2018 08:27 PM - Andrea Dell'Amico

- Assignee changed from Fabio Sinibaldi to Andrea Dell’Amico
@fabio.sinibaldi@isti.cnr.it Do you know what of those services must be migrated?
#3 - Jan 26, 2018 10:40 AM - Fabio Sinibaldi

I'd say we only use geonetwork, but a double check can be done on the IS.

I'll be checking for anything declaring geonetwork.geothermaldata and report here..

#4 - Jan 26, 2018 11:00 AM - Fabio Sinibaldi

I couldn't find any other IS resource declaring that host in EGIP VRE than GeoNetwork ServiceEndpoint.

#5 - Feb 19, 2018 05:40 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Feb 19, 2018 07:50 PM - Andrea Dell'Amico
- % Done changed from 0 to 80

| configured the new node and copied the old geonetwork instance. It answers here:

http://geonetwork1.geothermaldata.d4science.org/geonetwork/srv/en/main.home @fabio.sinibaldi@isti.cnr.it are you able to check if it's working? If
it's OK, the last step is moving the old hostname to the new node.

#7 - Feb 20, 2018 12:10 PM - Fabio Sinibaldi

New Geonetwork instance seems correctly working : both credentials and results correspond.

#8 - Feb 20, 2018 12:33 PM - Andrea Dell'Amico

Thanks Fabio, I'm going to switch the hostname to the new node.
http://geonetwork1.geothermaldata.d4science.org/geonetwork/srv/en/main.home

#9 - Feb 20, 2018 12:38 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Done. We need to give the DNS records some time to propagate.

Keep in mind that | just copied the application, so there's no smartgears running on that VM.

#10 - Mar 01, 2018 09:47 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
